Extend entry lock
Extends a lock for the specified DataLens entry.
Request
POST
https://api.datalens.tech/rpc/extendEntryLock
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"entryId": "example",
"data": {
"lockToken": "example",
"duration": 0.5,
"force": true
}
}
|
Name |
Description |
||||||
|
data |
Type: object
Example
|
||||||
|
entryId |
Type: string ID of the entry whose lock should be extended. Example: |
Responses
200 OK
Response
Body
application/json
{
"entryId": "example",
"lockId": "example",
"lockToken": "example",
"expiryDate": "example",
"login": "example"
}
|
Name |
Description |
|
entryId |
Type: string ID of the locked entry. Example: |
|
expiryDate |
Type: string Expiration date and time of the lock. Example: |
|
lockId |
Type: string Unique identifier of the lock. Example: |
|
lockToken |
Type: string Token identifying the lock. Example: |
|
login |
Type: string Login of the user who owns the lock. Example: |